<?php

  if (!function_exists('renderTags')) {
    function renderTags(array $tags): void
    {
      if (empty($tags)) return;

      echo '<div class="tags">';

      foreach ($tags as $tag) {
        $slug = strtolower(trim($tag));
        echo '<a href="/tags/' . rawurlencode($slug) . '">#' . htmlspecialchars($slug) . '</a>';
      }

      echo '</div>';
    }
  }
